Module jdk.compiler
Package com.sun.source.tree

## Interface DirectiveTree

- All Superinterfaces:
    `Tree`
  All Known Subinterfaces:
    `ExportsTree`, `OpensTree`, `ProvidesTree`, `RequiresTree`, `UsesTree`

      public interface DirectiveTree
      extends Tree

  A super-type for all the directives in a ModuleTree.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`